Subject: Re: linux-next: build failure

From: Adrian Bunk <[email-masked]>
Date: Wed, 30 Jul 2008 09:41:46 +0300

On Wed, Jul 30, 2008 at 03:30:28PM +1000, Stephen Rothwell wrote:
> Hi Ananth,
> 
> Today's linux-next build (powerpc allyesconfig) failed like this:
> 
> tests/lkdtm.c:182: error: expected ')' before '*' token
> 
> I have no idea why this fails now when it did not before.

Sorry, that's my fault.
(I didn't notice since my allyes builds have CONFIG_MODULES=n, and
 no defconfig seems to have both LKDTM and IDE=y.)

Bart, can you either apply Stephen's patch or drop the lkdtm.c chunk 
from my patch?

> I applied the following patch.
> -- 
> Cheers,
> Stephen Rothwell                    [email-masked]
> http://www.canb.auug.org.au/~sfr/
> 
> From: Stephen Rothwell <[email-masked]>
> Date: Wed, 30 Jul 2008 15:24:53 +1000
> Subject: [PATCH] tests: lkdtm needs ide.h
> 
> Signed-off-by: Stephen Rothwell <[email-masked]>
> ---
>  tests/lkdtm.c |    1 +
>  1 files changed, 1 insertions(+), 0 deletions(-)
> 
> diff --git a/tests/lkdtm.c b/tests/lkdtm.c
> index 2a40d18..856f060 100644
> --- a/tests/lkdtm.c
> +++ b/tests/lkdtm.c
> @@ -52,6 +52,7 @@
>  #include <linux/init.h>
>  #include <linux/interrupt.h>
>  #include <linux/hrtimer.h>
> +#include <linux/ide.h>
>  #include <scsi/scsi_cmnd.h>
>  
>  #define NUM_CPOINTS 8

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed